org.jboss.shrinkwrap.descriptor.api.connector15

## Interface AuthenticationMechanismType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface AuthenticationMechanismType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `authentication-mechanismType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationMechanismType<T>` | `authenticationMechanismType(java.lang.String authenticationMechanismType)` Sets the `authentication-mechanism-type` element
    `AuthenticationMechanismType<T>` | `credentialInterface(CredentialInterfaceType credentialInterface)` Sets the `credential-interface` element
    `AuthenticationMechanismType<T>` | `credentialInterface(java.lang.String credentialInterface)` Sets the `credential-interface` element
    `AuthenticationMechanismType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getAuthenticationMechanismType()` Returns the `authentication-mechanism-type` element
    `CredentialInterfaceType` | `getCredentialInterface()` Returns the `credential-interface` element
    `java.lang.String` | `getCredentialInterfaceAsString()` Returns the `credential-interface` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `AuthenticationMechanismType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `AuthenticationMechanismType<T>` | `removeAllDescription()` Removes the `description` element
    `AuthenticationMechanismType<T>` | `removeAuthenticationMechanismType()` Removes the `authentication-mechanism-type` element
    `AuthenticationMechanismType<T>` | `removeCredentialInterface()` Removes the `credential-interface` attribute
    `AuthenticationMechanismType<T>` | `removeId()` Removes the `id` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          AuthenticationMechanismType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          AuthenticationMechanismType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### authenticationMechanismType

          AuthenticationMechanismType<T> authenticationMechanismType(java.lang.String authenticationMechanismType)

      Sets the `authentication-mechanism-type` element
      Parameters:
        `authenticationMechanismType` - the value for the element `authentication-mechanism-type`
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### getAuthenticationMechanismType

          java.lang.String getAuthenticationMechanismType()

      Returns the `authentication-mechanism-type` element
      Returns:
        the node defined for the element `authentication-mechanism-type`

    - #### removeAuthenticationMechanismType

          AuthenticationMechanismType<T> removeAuthenticationMechanismType()

      Removes the `authentication-mechanism-type` element
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### credentialInterface

          AuthenticationMechanismType<T> credentialInterface(CredentialInterfaceType credentialInterface)

      Sets the `credential-interface` element
      Parameters:
        `credentialInterface` - the value for the element `credential-interface`
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### credentialInterface

          AuthenticationMechanismType<T> credentialInterface(java.lang.String credentialInterface)

      Sets the `credential-interface` element
      Parameters:
        `credentialInterface` - the value for the element `credential-interface`
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### getCredentialInterface

          CredentialInterfaceType getCredentialInterface()

      Returns the `credential-interface` element
      Returns:
        the value found for the element `credential-interface`

    - #### getCredentialInterfaceAsString

          java.lang.String getCredentialInterfaceAsString()

      Returns the `credential-interface` element
      Returns:
        the value found for the element `credential-interface`

    - #### removeCredentialInterface

          AuthenticationMechanismType<T> removeCredentialInterface()

      Removes the `credential-interface` attribute
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### id

          AuthenticationMechanismType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `AuthenticationMechanismType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          AuthenticationMechanismType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `AuthenticationMechanismType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)